User list not working when Accounts service not running

Reported by cariboo907 on 2011-07-29
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Light Display Manager
Undecided
Unassigned
lightdm (Ubuntu)
High
Unassigned

Bug Description

I just installed Lubuntu from the July 26/11 daily iso, after the install process had finished, my user name was in the list of users. After updates, only the guest user and other were available. Choosing other, allows me to enter my user name and password, allowing to access the desktop.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: lightdm 0.9.2-0ubuntu4
ProcVersionSignature: Ubuntu 3.0.0-7.8-generic 3.0.0
Uname: Linux 3.0.0-7-generic i686
Architecture: i386
Date: Thu Jul 28 19:09:26 2011
InstallationMedia: Lubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110725)
ProcEnviron:
 LANGUAGE=en_CA:en
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SourcePackage: lightdm
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.lightdm.lightdm.conf: 2011-07-28T19:08:08.569757

cariboo907 (cariboo907) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, is accountsservice installed? if not does installing it fixes your issue?

Changed in lightdm (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
NGAGE13 (ngage13) wrote :

This bug affect Xubuntu 11.10 too.

Sebastien Bacher (seb128) wrote :

What version of lightdm on Xubuntu did you try?

Sebastien Bacher (seb128) wrote :

We are closing this bug report because it lacks the information we need to investigate the problem, as described in the previous comments. Please reopen it if you can give us the missing information, and don't hesitate to submit bug reports in the future. To reopen the bug report you can click on the current status, under the Status column, and change the Status back to "New". Thanks again!

Changed in lightdm (Ubuntu):
status: Incomplete → Invalid
Robert Ancell (robert-ancell) wrote :

Fixed in 0.9.4. When the accounts service was not installed it wasn't detecting this correctly and not falling back to using passwd.

Changed in lightdm (Ubuntu):
status: Invalid → Triaged
importance: Low → High
summary: - Lubuntu - only guest user on login screen
+ User list not working when Accounts service not running
Changed in lightdm (Ubuntu):
status: Triaged → Fix Committed
Changed in lightdm:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 0.9.3-0ubuntu4

---------------
lightdm (0.9.3-0ubuntu4) oneiric; urgency=low

  * Updated to current trunk, that's a candidate version version for the next
    update, it fixes those issues:
    - login doesn't work for ecryptfs users (lp: #823775, #824594)
    - "lightdm-gtk-greeter segfaults in get_user_iter when adding a new user"
    (lp: #822470)
    - fix fallback from org.freedesktop.Accounts to passwd format (lp: #817835)
    - empty autologin-user should not be passed to pam (lp: #817581)
  * debian/control.in:
    - build-depends on quilt, it's needed with source v1
    - don't build-depends on valac, vala is not used in the current version
  * debian/lightdm.install:
    - install the manpages as well
  * debian/lightdm.manpages:
    - dropped, it's installed by the upstream make install
  * debian/rules:
    - use the quilt rule
  * debian/source/format:
    - use source v1, it works better with vcs workflows
 -- Sebastien Bacher <email address hidden> Thu, 18 Aug 2011 15:29:42 +0200

Changed in lightdm (Ubuntu):
status: Fix Committed → Fix Released
Changed in lightdm:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers